--- !ditz.rubyforge.org,2008-03-06/issue 
title: Consider whether threshold parameters should remain associated with approx, or rather associated with rendering.
desc: ""
type: :task
component: libale
release: 
reporter: David Hilvert <dhilvert@auricle.dyndns.org>
status: :closed
disposition: :fixed
creation_time: 2009-02-08 23:31:02.684984 Z
references: []

id: fa1619a0e73f1630b3cc47ab81c8846b138a73b3
log_events: 
- - 2009-02-08 23:31:04.012898 Z
  - David Hilvert <dhilvert@auricle.dyndns.org>
  - created
  - ""
- - 2009-02-09 19:11:01.369586 Z
  - David Hilvert <dhilvert@auricle.dyndns.org>
  - commented
  - |-
    Considering that there might be a number of algorithms (generally rendering
    algorithms, but perhaps not specifically 2D incremental rendering algorithms)
    that might use definition and saturation thresholding parameters, and
    considering that, as with the case of multi-element alignment, any unified
    handling of such diversity would probably be tightly bound to some object close
    to the approximation data structure itself; consider that it would probably be
    most appropriate to maintain the threshold parameters within the approximation
    data structure, at least in an initial implementation.
- - 2009-02-16 18:12:16.830309 Z
  - David Hilvert <dhilvert@auricle.dyndns.org>
  - closed with disposition fixed
  - Parameters under consideration have been re-associated, with rendering.
